diff --git a/arch/arm/Kconfig b/arch/arm/Kconfig
index 3096b97c6f..d56f375c8b 100644
--- a/arch/arm/Kconfig
+++ b/arch/arm/Kconfig
@@ -547,7 +547,7 @@ config TARGET_APF27
 	select CPU_ARM926EJS
 	select SUPPORT_SPL
 
-config ORION5X
+config ARCH_ORION5X
 	bool "Marvell Orion"
 	select CPU_ARM926EJS
 
diff --git a/arch/arm/Makefile b/arch/arm/Makefile
index 5d32dec29c..2b44ffb493 100644
--- a/arch/arm/Makefile
+++ b/arch/arm/Makefile
@@ -67,8 +67,7 @@ machine-$(CONFIG_ARCH_MEDIATEK)		+= mediatek
 machine-$(CONFIG_ARCH_MESON)		+= meson
 machine-$(CONFIG_ARCH_MVEBU)		+= mvebu
 machine-$(CONFIG_ARCH_OMAP2PLUS)	+= omap2
-# TODO: rename CONFIG_ORION5X -> CONFIG_ARCH_ORION5X
-machine-$(CONFIG_ORION5X)		+= orion5x
+machine-$(CONFIG_ARCH_ORION5X)		+= orion5x
 machine-$(CONFIG_ARCH_OWL)		+= owl
 machine-$(CONFIG_ARCH_RMOBILE)		+= rmobile
 machine-$(CONFIG_ARCH_ROCKCHIP)		+= rockchip
diff --git a/arch/arm/mach-orion5x/Kconfig b/arch/arm/mach-orion5x/Kconfig
index 2984a3edda..23c13e22f5 100644
--- a/arch/arm/mach-orion5x/Kconfig
+++ b/arch/arm/mach-orion5x/Kconfig
@@ -1,4 +1,4 @@
-if ORION5X
+if ARCH_ORION5X
 
 choice
 	prompt "Marvell Orion board select"
@@ -16,6 +16,6 @@ config SYS_SOC
 source "board/LaCie/edminiv2/Kconfig"
 
 config SPL_LDSCRIPT
-	default "$(CPUDIR)/orion5x/u-boot-spl.lds" if ORION5X
+	default "$(CPUDIR)/orion5x/u-boot-spl.lds" if ARCH_ORION5X
 
 endif
diff --git a/configs/edminiv2_defconfig b/configs/edminiv2_defconfig
index 2bbd6a783b..552b2d5b44 100644
--- a/configs/edminiv2_defconfig
+++ b/configs/edminiv2_defconfig
@@ -1,6 +1,6 @@
 CONFIG_ARM=y
 CONFIG_ARCH_CPU_INIT=y
-CONFIG_ORION5X=y
+CONFIG_ARCH_ORION5X=y
 CONFIG_SYS_TEXT_BASE=0x00800000
 CONFIG_SPL_LIBCOMMON_SUPPORT=y
 CONFIG_SPL_LIBGENERIC_SUPPORT=y
diff --git a/drivers/ata/mvsata_ide.c b/drivers/ata/mvsata_ide.c
index 38181235af..9ac16555d6 100644
--- a/drivers/ata/mvsata_ide.c
+++ b/drivers/ata/mvsata_ide.c
@@ -8,7 +8,7 @@
 #include <common.h>
 #include <asm/io.h>
 
-#if defined(CONFIG_ORION5X)
+#if defined(CONFIG_ARCH_ORION5X)
 #include <asm/arch/orion5x.h>
 #elif defined(CONFIG_KIRKWOOD)
 #include <asm/arch/soc.h>
diff --git a/drivers/i2c/mvtwsi.c b/drivers/i2c/mvtwsi.c
index 382cf4b304..77fe35a42b 100644
--- a/drivers/i2c/mvtwsi.c
+++ b/drivers/i2c/mvtwsi.c
@@ -25,7 +25,7 @@ DECLARE_GLOBAL_DATA_PTR;
  */
 
 #ifndef CONFIG_DM_I2C
-#if defined(CONFIG_ORION5X)
+#if defined(CONFIG_ARCH_ORION5X)
 #include <asm/arch/orion5x.h>
 #elif (defined(CONFIG_KIRKWOOD) || defined(CONFIG_ARCH_MVEBU))
 #include <asm/arch/soc.h>
diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index 4d1013c984..3fd3e72219 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -303,7 +303,7 @@ config FSLDMAFEC
 
 config MVGBE
 	bool "Marvell Orion5x/Kirkwood network interface support"
-	depends on KIRKWOOD || ORION5X
+	depends on KIRKWOOD || ARCH_ORION5X
 	select PHYLIB if DM_ETH
 	help
 	  This driver supports the network interface units in the
diff --git a/drivers/net/mvgbe.c b/drivers/net/mvgbe.c
index 037e59ec6e..b0b8d349a8 100644
--- a/drivers/net/mvgbe.c
+++ b/drivers/net/mvgbe.c
@@ -26,7 +26,7 @@
 
 #if defined(CONFIG_KIRKWOOD)
 #include <asm/arch/soc.h>
-#elif defined(CONFIG_ORION5X)
+#elif defined(CONFIG_ARCH_ORION5X)
 #include <asm/arch/orion5x.h>
 #endif
 
diff --git a/drivers/usb/host/Kconfig b/drivers/usb/host/Kconfig
index 0987ff25b1..5574e9f989 100644
--- a/drivers/usb/host/Kconfig
+++ b/drivers/usb/host/Kconfig
@@ -121,7 +121,7 @@ config USB_EHCI_ATMEL
 
 config USB_EHCI_MARVELL
 	bool "Support for Marvell on-chip EHCI USB controller"
-	depends on ARCH_MVEBU || KIRKWOOD || ORION5X
+	depends on ARCH_MVEBU || KIRKWOOD || ARCH_ORION5X
 	default y
 	---help---
 	  Enables support for the on-chip EHCI controller on MVEBU SoCs.
diff --git a/drivers/usb/host/ehci-marvell.c b/drivers/usb/host/ehci-marvell.c
index 8efe6b63b9..3b10cdfc58 100644
--- a/drivers/usb/host/ehci-marvell.c
+++ b/drivers/usb/host/ehci-marvell.c
@@ -15,7 +15,7 @@
 
 #if defined(CONFIG_KIRKWOOD)
 #include <asm/arch/soc.h>
-#elif defined(CONFIG_ORION5X)
+#elif defined(CONFIG_ARCH_ORION5X)
 #include <asm/arch/orion5x.h>
 #endif
 